<!-- Breadcrumbs-->


<div class="row">
  <div class="col-lg-12">

    <ol class="breadcrumb">
      <li class="breadcrumb-item"><button class="btn btn-primary" (click)="addDepot()"><i class="fa fa-plus"></i> Ajouter</button></li>
    </ol>
  </div>

</div>

<div class="row">
  <div class="col-md-6">
    <div class="card mb-3">
      <div class="card-header">
        <i class="fa fa-building-o"></i> Depots</div>

      <div class="table-responsive">
        <table width="100%" class="table table-striped table-hover ">
          <thead>
          <tr>
            <th>N°</th>
            <th>Nom</th>
            <th>Adresse</th>
            <th class="text-right">Operations</th>
          </tr>
          </thead>
          <tbody>
          <tr class="odd gradeX" *ngFor="let depot of depots">
            <td><b>{{depot.id}}</b></td>
            <td><b>{{depot.nameDepot}}</b></td>
            <td><b>{{depot.coordinateDepot.adresse}}</b></td>
            <td class="text-right">
              <button type="button" class="btn btn-primary btn-circle" (click)="updateDepot(depot.id)"><i class="fa  fa-edit"></i></button>
              &nbsp;|&nbsp;
              <button type="button" class="btn btn-danger btn-circle" (click)="deleteDepot(depot)"><i class="fa fa-trash-o "></i></button>
            </td>

          </tr>
          </tbody>
        </table>
      </div>
      <div class="card-footer small text-muted"></div>
    </div>
  </div>

  <div class="col-md-6">
    <div class="card">
      <agm-map [zoom]="12" [latitude]="33.581053564669844" [longitude]="-7.594315135130387" style="height:500px;width: 100%;" >
        <agm-marker
                *ngFor="let depot1 of depots"
                [latitude]="depot1.coordinateDepot.latitude"
                [longitude]="depot1.coordinateDepot.longitude"

                [iconUrl]="{
          url: '/assets/depot-red.png',
          scaledSize: {
          width: 35,
          height: 35
          }
          }"
        >
          <agm-info-window>{{depot1.nameDepot}}</agm-info-window>
        </agm-marker>
      </agm-map>
    </div>

</div>

</div>



